summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2017-03-21 04:32:36 -0400
committer David Spencer <idlemoor@slackbuilds.org>2017-03-25 13:28:40 +0000
commit9a99423fdcffd976fd53da389ac1913b82d71339 (patch)
tree368d5efa606c7be0f61a6d15d447fe96a09d3241
parenta14e32da02f2060d3a6455cdd8e08a1471fa9c95 (diff)
downloadslackbuilds-9a99423fdcffd976fd53da389ac1913b82d71339.tar.gz
slackbuilds-9a99423fdcffd976fd53da389ac1913b82d71339.tar.xz
network/openfire: Fix shebang, fix user/group detection.
Signed-off-by: B. Watson <yalhcru@gmail.com> Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--network/openfire/openfire.SlackBuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/network/openfire/openfire.SlackBuild b/network/openfire/openfire.SlackBuild
index 2cad7af6d2..a7724796d0 100644
--- a/network/openfire/openfire.SlackBuild
+++ b/network/openfire/openfire.SlackBuild
@@ -1,4 +1,4 @@
-#!/bin/sh -e
+#!/bin/sh
#
# Slackware build script for Zeromq-jzmq
# Written by Mário Antunes (mario.antunes@av.it.pt)
@@ -38,9 +38,9 @@ bailout() {
# Bail if user and/or group isn't valid on your system
# uid=265 is suggested to avoid conflicts with other SBo packages,
# but it's your call: http://slackbuilds.org/uid_gid.txt
-if ! grep -q "^$OPENFIRE_USER:" /etc/passwd; then
+if ! getent passwd $OPENFIRE_USER 2>/dev/null; then
bailout
-elif ! grep -q "^$OPENFIRE_GROUP:" /etc/group; then
+elif ! getent group $OPENFIRE_GROUP 2>/dev/null; then
bailout
fi